Skip to navigation

List States

Returns a list of all states.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

limitintegerOptional
The number of results to return per request.
pageintegerOptional
The ordered grouping of results to return.

Response

A list of states.
idintegerOptional

Numeric ID of the state/province.

statestringOptional

Name of the state/province.

state_abbreviationstringOptional

Abbreviation for the state/province.

country_idintegerOptional

Numeric ID of the state’s/province’s associated country.